import tempfile
from datetime import datetime, timedelta

from LOGS import LOGS
from LOGS.Entities import DatasetRequestParameter

# Connect to LOGS
logs = LOGS()

# If only a list of entity ids is needed, it is not 
# recommended to use the regular entity iterator 
# (e.g. logs.datasets()) as it will inefficiently
# download full datasets where only the ids are needed. 

# Instead, use the following line to only retrive the ids 
# of the datasets by using a dedicated endpoint.
dataset_ids = logs.datasets().ids().toList()

print(dataset_ids)
